#include <stdlib.h>
#include <string.h>
#include <stdio.h>

char *strdup1(char *s){
    char *r=malloc(sizeof(char)*(strlen(s)+1));
    strcpy(r,s);
    return r;
}

int main(int argc, char**argv){
    char *r=strdup1(argv[0]);
    printf("%s\n", r);
    free(r);
}
